This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 164674 - "unary operator expected" error in postuninstall scriptlet
"unary operator expected" error in postuninstall scriptlet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ryo Dairiki
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 17:10 EDT by A. Lee
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-11 07:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A. Lee 2005-07-29 17:10:43 EDT
Description of problem:

There is a bug in line 9 of the postuninstall scriptlet. If one of
/etc/alternatives/xinput-{ja_JP,ko_KR,zh_CN,zh_TW} does not exist, it will
output an "unary operator expected" error message.

if [ `readlink /etc/alternatives/xinput-$llcc` = "/etc/X11/xinit/xinput.d/scim" ]

should be changed to:

if [ "`readlink /etc/alternatives/xinput-$llcc`" = "/etc/X11/xinit/xinput.d/scim" ]


Version-Release number of selected component (if applicable):
- scim-1.3.3-3.fc4.i386.rpm from http://people.redhat.com/petersen/scim/
- scim-1.2.3-2.fc4.i386.rpm from FC4 Extra
- scim-1.2.3-1.fc3.i386.rpm from FC3 Extra
Comment 1 Ryo Dairiki 2005-07-29 20:06:31 EDT
Thank you.
That's a serius mistake I think.

But now we're importing scim-1.4.0 and change this section completely.
Scim-1.4.0 will not make alternatives, but scim-pinyin will make zh_*.utf8, for
example.
So this bug will be solved soon.
Comment 2 Ryo Dairiki 2005-08-01 09:45:55 EDT
We've dicided not to change this section on FC3, and FC4.
This bug will fixed in scim-1.4.0-2.4 or later.
Comment 3 Jens Petersen 2005-08-02 06:18:09 EDT
This should be fixed in scim-1.4.0-2.4.

Note You need to log in before you can comment on or make changes to this bug.